package egovframework.com.its.web.server.service;

import egovframework.com.its.web.server.mapper.MainMapper;
import egovframework.com.its.web.server.vo.PopupVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@RequiredArgsConstructor
@Service
public class MainService {

    private final MainMapper mainMapper;

    public List<PopupVO> getPossiblePopupList() {
        return this.mainMapper.getPossiblePopupList();
    }

    public PopupVO getPopupObject(Map<String, Object> paramMap) {
        return this.mainMapper.getPopupObject(paramMap);
    }

}
